## IdeDependencyUpdater IdeDependencyUpdater |

## Functions

void | ide_dependency_updater_update_async ()
gboolean | ide_dependency_updater_update_finish ()

## Types and Values

#define | IDE_TYPE_DEPENDENCY_UPDATER
struct | IdeDependencyUpdaterInterface
| IdeDependencyUpdater

## Object Hierarchy

        GInterface
        ╰── IdeDependencyUpdater

## Prerequisites

IdeDependencyUpdater requires IdeObject.

## Description

## Functions

### ide_dependency_updater_update_async ()

    void
    ide_dependency_updater_update_async (IdeDependencyUpdater *self,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

### ide_dependency_updater_update_finish ()

    gboolean
    ide_dependency_updater_update_finish (IdeDependencyUpdater *self,
                                          GAsyncResult *result,
                                          GError **error);

## Types and Values

### IDE_TYPE_DEPENDENCY_UPDATER

    #define IDE_TYPE_DEPENDENCY_UPDATER (ide_dependency_updater_get_type ())

### struct IdeDependencyUpdaterInterface

    struct IdeDependencyUpdaterInterface {
      GTypeInterface parent;

      void     (*update_async)  (IdeDependencyUpdater  *self,
                                 GCancellable          *cancellable,
                                 GAsyncReadyCallback    callback,
                                 gpointer               user_data);
      gboolean (*update_finish) (IdeDependencyUpdater  *self,
                                 GAsyncResult          *result,
                                 GError               **error);
    };

### IdeDependencyUpdater

    typedef struct _IdeDependencyUpdater IdeDependencyUpdater;